<br><br>
<div class="gmail_quote">2010/5/16 Pavel Alexeev (aka Pahan-Hubbitus) <span dir="ltr">&lt;<a href="mailto:forum@hubbitus.com.ru" target="_blank">forum@hubbitus.com.ru</a>&gt;</span><br>
<blockquote style="BORDER-LEFT: rgb(204,204,204) 1px solid; MARGIN: 0pt 0pt 0pt 0.8ex; PADDING-LEFT: 1ex" class="gmail_quote">
<div bgcolor="#ffffff" text="#000000"><br>About ABI breakage there separate problem in ImageMagick - <a href="http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg736218.html" target="_blank">http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg736218.html</a><br>
So, upstream is not carefully there and I never can&#39;t guarantee what there no ABI breakage in any update...<br><br>P.S. It seams it does not hit list, i post mail again. It is reason such big delay...<br></div><br>--</blockquote>

<div> </div>
<div>Normally, if the update is a pure bugfix release,  it&#39;s safe to update and don&#39;t need a rebuild, and you should update them on rawhide as well as stable branches to fix bugs</div>
<div> </div>
<div>If API/ABI is changed, only the following packages need a rebuild. Packages depends on ImageMagick itself actually don&#39;t need a rebuild even the API is changed.<br></div></div>
<div>repoquery --repoid=rawhide --whatrequires --alldeps ImageMagick-c++<br></div>
<div>ImageMagick-c++-0:6.6.0.2-8.fc14.i686<br>ImageMagick-c++-0:6.6.0.2-8.fc14.x86_64<br>inkscape-0:0.48-0.2.20100505bzr.fc14.x86_64<br>ImageMagick-c++-devel-0:6.6.0.2-8.fc14.x86_64<br>gdl-0:0.9-0.12.rc4.fc14.x86_64<br>pfstools-imgmagick-0:1.8.1-1.fc14.x86_64<br>
drawtiming-0:0.7.1-1.1.fc14.x86_64<br>pfstools-0:1.8.1-1.fc14.x86_64<br>ImageMagick-c++-devel-0:6.6.0.2-8.fc14.i686<br>k3d-0:0.8.0.1-1.fc14.x86_64<br>gdl-python-0:0.9-0.12.rc4.fc14.x86_64<br>inkscape-view-0:0.48-0.2.20100505bzr.fc14.x86_64<br>
</div>
<div> </div>
<div>BTW, some subpackages contain .la files, you should remove them in %install.</div>
<div>e.g.</div>
<div><a href="http://koji.fedoraproject.org/koji/rpminfo?rpmID=1858222">http://koji.fedoraproject.org/koji/rpminfo?rpmID=1858222</a></div>
<div> </div>
<div>Regards,</div>
<div>Chen Lei<br></div>